%define name jail
%define version 1.6
%define release 1mdk

Summary: Just Another Icmp Logger
Name: %{name}
Version: %{version}
Release: %{release}
License: Artistic
Group: Monitoring
Source0: %{name}-%{version}.tar.bz2
Source1: rc.d.tar.gz
URL: http://www.wiw.org/~ams/jail/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
jail (Just Another IP Logger) consists of two small programs which run
in the background, logging the reception of ICMP and TCP packets to the
system log. This is a useful network monitoring tool and can help detect
attempted denials of service.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
mkdir rc.d
tar -C rc.d -xzf $RPM_SOURCE_DIR/rc.d.tar.gz

if [ -e rc.d/rc.d.tar ]; then
        cd rc.d
        tar xf rc.d.tar
        cd ..
fi
make 

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT/etc
cp -r rc.d $RPM_BUILD_ROOT/etc
make install DESTDIR=$RPM_BUILD_ROOT/usr CONFDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}

%files
%defattr (-,root,root)
%doc README CREDITS TODO License INSTALL jail.lsm
/usr/sbin/*
%config /etc/rc.d/init.d/jail.init
%config /etc/rc.d/rc0.d/K49jail.init
%config /etc/rc.d/rc1.d/K49jail.init
%config /etc/rc.d/rc2.d/K49jail.init
%config /etc/rc.d/rc3.d/S51jail.init
%config /etc/rc.d/rc4.d/S51jail.init
%config /etc/rc.d/rc5.d/S51jail.init
%config /etc/rc.d/rc6.d/K49jail.init
%{_mandir}/man8/*
%{_mandir}/man5/*
%config /etc/icmplog.conf
%config /etc/tcplog.conf

%changelog
* Wed Aug 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- updated to 1.6

* Tue Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-4mdk
- rebuild

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-3mdk
- BM

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- fix group and files section

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Thu Aug 06 1998 Arkadiusz Mikiewicz <misiek@debian.eu.org>
  [1.5-1]
- added polish description
- removed patch
 
* Tue Jul 14 1998 Arkadiusz Mikiewicz <misiek@zsz2.starachowice.pl>
- BuildRoot'ed
- added "Vendor:" field
- added starting scripts
- changed patch0
- changes in %build, %install and %files
                                              
